{
    "version": "2.0.0",
    "options": {
    
        "cwd": "${workspaceFolder}"
    },
    "tasks": [

        {
            "label": "Download",
            "type": "shell",
            "command": "pyocd load -t hc32l072kata rtthread.bin",
            "detail":"pyocd load -t hc32l072kata rtthread.bin",
            "group": "build"
        },
        {
            "label": "Build & Download",
            "type": "shell",
            "command": "scons && pyocd load -t hc32l072kata rtthread.bin",
            "detail":"scons && pyocd load -t hc32l072kata rtthread.bin",
            "group": "build"
        },

        {
            "label": "Probe",
            "type": "shell",
            "command": "pyocd list -p",
            "detail":"pyocd list -p",
            "group": "build"
        },

        {
            "label": "Build",
            "type": "shell",
            "command": "scons -j8",
            "detail":"scons -j8",
            "group": "build"
        },
        {
            "label": "Rebuild",
            "type": "shell",
            "command": "scons -c && scons -j8",
            "detail":"scons -c && scons -j8",
            "group": "build"
        },
        {
            "label": "Clean",
            "type": "shell",
            "command": "scons -c",
            "detail":"scons -c",
            "group": "build"
        }
    ]
}